API

Customer API documentation

Integrate Zaga SMS into your own backend or automation tools.

Base URL

All endpoints are under:

https://bestotpnum.com/api/v1

Authentication

Send your API key as a Bearer token. Keep it secret and call the API from your server (not browser JS).

Authorization: Bearer <prefix>.<secret>

Rate limits

60 requests/minute per API key.

Endpoints

GET /activations

List activations

POST /activations

Create activation

GET /activations/{'{uuid}'}

Get details + messages

POST /activations/{'{uuid}'}/refresh

Poll provider status

POST /activations/{'{uuid}'}/complete

Mark completed

POST /activations/{'{uuid}'}/cancel

Cancel (refund if applicable)

Quick examples

Create an activation:

curl -s -X POST "https://bestotpnum.com/api/v1/activations" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"service_pricing_id": 123}'

Refresh (poll) an activation:

curl -s -X POST "https://bestotpnum.com/api/v1/activations/{uuid}/refresh" \
  -H "Authorization: Bearer YOUR_API_KEY"